{% extends "base.html" %}

{% block page_title %}{{ title or "Plugins" }}{% endblock %}

{% block main %}
  <div class="container">
    <div class="row">
      <div class="col">
	<h1>{{ title or "Plugins" }}</h1>
	<br>
      </div>
    </div>
    <div class="list-group clearfix">  
    {{ emit_event("plugins_before_content") }}
    {% for plugin in plugins %}
      <div class="row row-striped list-group-item {{ loop.cycle('bg-secondary', '') }}">  
	<div class="col col-sm-10">
	  <p> <b>{{ plugin.name }}</b> by {{ plugin.author }} </p>
	  <p><i>{{ plugin.description }}</i></p>
	  <p><span class="text-muted">License : </span>{{ plugin.license }}</p>
	</div>
	<div class="col col-sm-2">
	  {% if plugin.enabled %}
	    <a href="{{ url_for('plugins.disable', plugin=plugin.identifier) }}">Disable</a> <br />
	  {% else %}
	    <a href="{{ url_for('plugins.enable', plugin=plugin.identifier) }}">Enable</a>
	  (<small>The Blueprint is still accessible via /plugins because a blueprint cannot be unregistered _and_ needs to be registered before the app is serving requests.</small>)
	  {% endif %}
	  </div>
      </div>
    {% endfor %}
    </div>
    {{ emit_event("plugins_after_content") }}
  </div>

{% endblock %}
